#if 0
/*
 * (C) Copyright 2013 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation
 * nor does it submit to any jurisdiction.
 */
// clang-format off
#endif

#ifndef atlas_library_defines_h
#define atlas_library_defines_h

#define ATLAS_HAVE_OMP                       1
#define ATLAS_OMP_TASK_UNTIED_SUPPORTED      1
#define ATLAS_HAVE_ACC                       0
#define ATLAS_HAVE_TESSELATION               0
#define ATLAS_HAVE_FORTRAN                   0
#define ATLAS_HAVE_EIGEN                     1
#define ATLAS_HAVE_FFTW                      1
#define ATLAS_BITS_GLOBAL                    32
#define ATLAS_ARRAYVIEW_BOUNDS_CHECKING      0
#define ATLAS_INDEXVIEW_BOUNDS_CHECKING      0
#define ATLAS_VECTOR_BOUNDS_CHECKING         0
#define ATLAS_INIT_SNAN                      0
#define ATLAS_HAVE_GRIDTOOLS_STORAGE         0
#define ATLAS_GRIDTOOLS_STORAGE_BACKEND_HOST 0
#define ATLAS_GRIDTOOLS_STORAGE_BACKEND_CUDA 0
#define ATLAS_HAVE_TRANS                     0

#ifdef __CUDACC__
#define ATLAS_HOST_DEVICE __host__ __device__
#define ATLAS_DEVICE __device__
#define ATLAS_HOST __host__
#else
#define ATLAS_HOST_DEVICE
#define ATLAS_DEVICE
#define ATLAS_HOST
#endif

#define ATLAS_BITS_LOCAL 32

#if defined( __GNUC__ ) || defined( __clang__ )
#define ATLAS_MAYBE_UNUSED __attribute__( ( unused ) )
#define ATLAS_ALWAYS_INLINE __attribute__( ( always_inline ) ) inline
#else
#define ATLAS_MAYBE_UNUSED
#define ATLAS_ALWAYS_INLINE inline
#endif

#endif
