/*
 * (C) Copyright 2013 ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation
 * nor does it submit to any jurisdiction.
 */

#pragma once

#define ATLAS_VERSION_STR "0.21.0"
#define ATLAS_VERSION     "0.21.0"

#define ATLAS_VERSION_STRIDE_MAJOR 10000000000
#define ATLAS_VERSION_STRIDE_MINOR 100000000
#define ATLAS_VERSION_STRIDE_PATCH 1

#define ATLAS_VERSION_INT (                          \
  ATLAS_VERSION_STRIDE_MAJOR*0 + \
  ATLAS_VERSION_STRIDE_MINOR*21 + \
  ATLAS_VERSION_STRIDE_PATCH*0 )

#define ATLAS_VERSION_MAJOR 0
#define ATLAS_VERSION_MINOR 21
#define ATLAS_VERSION_PATCH 0

namespace atlas {
namespace library {

constexpr const char* version() {
    return ATLAS_VERSION_STR;
}

constexpr const char* semantic_version() {
    return ATLAS_VERSION;
}

constexpr long semantic_version_int() {
    return ATLAS_VERSION_INT;
}

}
}
